> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List functions

> List functions for the authenticated organization. Each function includes its persisted function-scoped bindings. Actor bindings expose actor_type and env_name, allowing clients to identify every function attached to a Stateful Actor type.



## OpenAPI

````yaml /openapi/source/external/edge-compute/edge-compute.json get /compute/funcs
openapi: 3.1.0
info:
  description: >-
    Edge Compute storage: KV namespaces and keys, SQL databases, and CloudFS
    filesystems.
  title: Edge Compute API
  contact: {}
  version: '1.0'
  x-endpoint-cost: light
  x-latency-category: responsive
servers:
  - url: https://api.telnyx.com/v2
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: kv namespaces
    description: Manage KV storage namespaces
  - name: kv keys
    description: Read and write keys within a KV namespace
  - name: sql databases
    description: Manage SQL databases and run SQL against them
  - name: cloudfs filesystems
    description: >-
      Manage CloudFS filesystems — JuiceFS-compatible filesystems backed by
      Telnyx Cloud Storage
  - name: functions
    description: Manage Edge Compute functions
  - name: stateful actors
    description: Inspect Stateful Actor types
paths:
  /compute/funcs:
    get:
      tags:
        - functions
      summary: List functions
      description: >-
        List functions for the authenticated organization. Each function
        includes its persisted function-scoped bindings. Actor bindings expose
        actor_type and env_name, allowing clients to identify every function
        attached to a Stateful Actor type.
      operationId: ListComputeFunctions
      parameters:
        - name: page[number]
          in: query
          description: Page number
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: page[size]
          in: query
          description: Page size (maximum 250)
          schema:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
      responses:
        '200':
          description: Functions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComputeFunctionListResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const response of client.compute.funcs.list()) {
              console.log(response);
            }
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.compute.funcs.list()
            print(page.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tfuncs, err := client.Compute.Funcs.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", funcs.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    var page = client.compute().funcs().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.compute.funcs.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->compute->funcs->list();

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx compute:funcs list \
              --api-key 'My API Key'
components:
  schemas:
    ComputeFunctionListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ComputeFunction'
        meta:
          $ref: '#/components/schemas/PaginationMeta'
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
    GenericErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
    ComputeFunction:
      type: object
      properties:
        record_type:
          type: string
          example: compute_func
        id:
          type: string
        name:
          type: string
        status:
          type: string
        status_detail:
          type: string
        invoke_url:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
        bindings:
          type: array
          description: Always present; empty when the function has no bindings.
          items:
            $ref: '#/components/schemas/ComputeBinding'
        message:
          type: string
          example: Function deployed successfully
    PaginationMeta:
      type: object
      properties:
        page_number:
          type: integer
          example: 1
        page_size:
          type: integer
          example: 20
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 52
    Error:
      type: object
      properties:
        code:
          type: string
          example: '10005'
        detail:
          type: string
          example: The requested function does not exist or you don't have access to it
        meta:
          $ref: '#/components/schemas/ErrorMeta'
        source:
          $ref: '#/components/schemas/ErrorSource'
        title:
          type: string
          example: Function not found
    ComputeBinding:
      type: object
      description: >-
        A function-scoped binding persisted at ship time. For
        binding_type=actor, actor_type is the referenced Stateful Actor type and
        env_name is the binding name exposed to the function.
      properties:
        record_type:
          type: string
          example: compute_binding
        binding_id:
          type: string
        binding_type:
          type: string
          example: actor
        env_name:
          type: string
          example: COUNTER
        status:
          type: string
        actor_type:
          type: string
          example: Counter
        secret_name:
          type: string
        sqldb_id:
          type: string
        kv_id:
          type: string
        bucket_id:
          type: string
        func_id:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
    ErrorMeta:
      type: object
      properties:
        url:
          type: string
          example: https://docs.telnyx.com/api/errors/10005
    ErrorSource:
      type: object
      properties:
        parameter:
          type: string
          example: id
        pointer:
          type: string
          example: /id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````